package buildfromcbd;
//
import java.awt.Toolkit;
import java.awt.datatransfer.*;
import java.io.*;
//
public class Main {
    //this will be where we split up our values
    private static final String VALUE_SEPARATOR = ":::";
    //
    public static void main(String[] args) throws IOException, UnsupportedFlavorException
    {
       build();
    }
   public static String getClipboard() throws UnsupportedFlavorException, IOException {
       // here we grab the contents of the clipboard
        Transferable tran = Toolkit.getDefaultToolkit().getSystemClipboard().getContents(null);
        try {
            if (tran != null && tran.isDataFlavorSupported(DataFlavor.stringFlavor)) {
                String text = (String)tran.getTransferData(DataFlavor.stringFlavor);
                return text;
            }
        } catch (UnsupportedFlavorException e) {
            return "CBD_BUILD_FAILED.txt::: Could not build file, JAVA error report as fallows:\n\n"+e;
        } catch (IOException e) {
             return "CBD_BUILD_FAILED.txt::: Could not build file, JAVA error report as fallows:\n\n"+e;
        }
        return null;
    }
    public static void build()throws IOException, UnsupportedFlavorException
    {
        Writer output = null;
        String text = getClipboard();
        String[] cbd = parseCBD(text);
        //so our fist value will be our file name
        File file = new File(cbd[0]);
        //lets get our file open for writing now
        output = new BufferedWriter(new FileWriter(file));
        //if cbd has a second value lets write it to our files contents
        if(cbd.length>1)
        {
            output.write(cbd[1]);
        }else{
             // if we don't have a second value lets print "EMPTY :(" in our file
            output.write("EMPTY :(");
        }
        output.close();
    }
    public static String[] parseCBD(String cb_txt)
    {
        //let's sperate our values out
        String[] cbd = cb_txt.split(VALUE_SEPARATOR);
        //in this function you could do more than just split the data, get creative :)
        return cbd;
    }
}
